Loading...
Searching...
No Matches
CglClique.hpp File Reference
`#include "CglCutGenerator.hpp"`
Include dependency graph for CglClique.hpp:

Go to the source code of this file.

## Classes

class | CglClique
struct | CglClique::fnode
| A node of the fractional graph. More...
struct | CglClique::frac_graph
| A graph corresponding to a fractional solution of an LP. More...
class | CglFakeClique

## Functions

void | CglCliqueUnitTest (const OsiSolverInterface *siP, const std::string mpdDir)
| A function that tests the methods in the CglClique class.

## Function Documentation

## CglCliqueUnitTest()

void CglCliqueUnitTest | ( | const OsiSolverInterface * | siP,
|  | const std::string | mpdDir )

A function that tests the methods in the CglClique class.

The only reason for it not to be a member method is that this way it doesn't have to be compiled into the library. And that's a gain, because the library should be compiled with optimization on, but this method should be compiled with debugging.